Summary: FastCGI library for Ruby
Name: ruby-fcgi

%global momorel 6

Version: 0.8.5
Release: %{momorel}m%{?dist}
Group: Applications/Text
License: Ruby
URL: http://raa.ruby-lang.org/list.rhtml?name=fcgi
Source0: http://www.moonwolf.com/ruby/archive/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: ruby-devel >= 1.8.6-4m
BuildRequires: libfcgi-devel >= 1.8.0

%description
FastCGI library for Ruby. It merges matz's C version(fcgi.so) & Eli's
pure ruby version(fastcgi.rb)

%prep
%setup -q
chmod 644 README*

%build
ruby install.rb config \
    --bin-dir=%{buildroot}%{_bindir} \
    --rb-dir=%{buildroot}%{ruby_sitelibdir} \
    --so-dir=%{buildroot}%{ruby_sitearchdir}

ruby install.rb setup

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
ruby install.rb install

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README*
%{ruby_sitelibdir}/fcgi.rb
%{ruby_sitearchdir}/fcgi.so

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.5-6m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8.5-5m)
- rebuild against gcc43

* Mon Jun 18 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.8.5-4m)
- rebuild against ruby-1.8.6-4m

* Mon Feb  7 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.8.5-3m)
- cancel NoSource

* Mon Nov 22 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (0.8.5-2m)
- revised spec file to follow the kossori changes of released archive

* Fri Oct  8 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.8.5-1m)
- version up

* Wed Aug  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.8.4-2m)
- rebuild against ruby-1.8.2

* Mon Apr  5 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.8.4-1m)
- initial import to Momonga
